Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.ehvalidator.utils
Class XsltTransformer

    java.lang.Object
      be.fgov.ehealth.ehvalidator.utils.XsltTransformer

    public class XsltTransformer

extends Object

Performs a Xslt transformation.

Since:
  2.1.1
Author:
  EH10

Method Summary
`static byte[]` | `xsltTransform(String transformType, byte[] toTransform, EhValidator.Language language)` Operates a xslt transformation
`static byte[]` | `xsltTransform(String transformType, byte[] toTransform, String fileName, EhValidator.Language language, String rules)` Operates a xslt transformation and creates a temporary file of the xml report.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### xsltTransform

    public static byte[] xsltTransform(String transformType,
                                       byte[] toTransform,
                                       EhValidator.Language language)

  Operates a xslt transformation

  Parameters:
    `transformType` -
    `toTransform` -
    `language` -
  Returns:
    transformed byte[]

### xsltTransform

    public static byte[] xsltTransform(String transformType,
                                       byte[] toTransform,
                                       String fileName,
                                       EhValidator.Language language,
                                       String rules)

  Operates a xslt transformation and creates a temporary file of the xml report.

  Parameters:
    `transformType` -
    `toTransform` -
    `fileName` -
    `language` -
    `rules` -
  Returns:
    transformed byte[]

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

eHealth Validator Service Master project 2.1.1 API
Copyright © 2013 eHealth. All Rights Reserved.